/**
Override the sequencing of the Overview windows to present the windows
in the sequence of opening rather than based on the minimum
apparent distance travelled.
**/

const Workspace = imports.ui.workspace;

var orderWindowsByMotionAndStartup_original = null;

function _orderWindowsByMotionAndStartup(clones, slots) {

	// 'stolen' from http://git.gnome.org/browse/gnome-shell-extensions/tree/extensions/native-window-placement/extension.js
	return clones.sort(function (win1, win2) {
            return win1.metaWindow.get_stable_sequence() - win2.metaWindow.get_stable_sequence();
	});
}

function init() {
	orderWindowsByMotionAndStartup_original = Workspace.Workspace.prototype._orderWindowsByMotionAndStartup;
}

function enable() {
	Workspace.Workspace.prototype._orderWindowsByMotionAndStartup = _orderWindowsByMotionAndStartup;
}

function disable() {
	Workspace.Workspace.prototype._orderWindowsByMotionAndStartup = orderWindowsByMotionAndStartup_original;
}
